classification
Title: Mention all new os functions in What's New in Python 3.3
Type: Stage:
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, larry, python-dev, rhettinger, rosslagerwall, vstinner
Priority: normal Keywords: patch

Created on 2012-08-03 12:25 by vstinner, last changed 2012-09-20 22:02 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
oschanges.diff rosslagerwall, 2012-08-03 12:59
Messages (6)
msg167315 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-08-03 12:25
The os module has a lot of new functions in Python 3.3. It looks like only a few are documented in What's New in Python 3.3. Examples : truncate(), ftruncate() and sync() are not mentionned.

Does Sphinx have a function to list of new functions added to Python 3.3? At least to check that the What's New in Python 3.3 is complete.

I would like to have the full list to check that new functions are consistent. See for example the issue #15547.
msg167322 - (view) Author: Ross Lagerwall (rosslagerwall) (Python committer) Date: 2012-08-03 12:59
Attached is a diff between dir(os) in 3.2 and 3.3
msg167345 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-08-03 19:27
Victor: try "make changes".
msg167464 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2012-08-05 00:37
ftruncate isn't new.
msg167504 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-08-05 14:00
New changeset b7b8e4ada3e5 by Victor Stinner in branch 'default':
Issue #15548: Update and complete What's New in Python 3.3, especially the "os" section
http://hg.python.org/cpython/rev/b7b8e4ada3e5
msg170857 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-09-20 22:02
The doc is now complete.
History
Date User Action Args
2012-09-20 22:02:21vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg170857
2012-08-05 14:00:46python-devsetnosy: + python-dev
messages: + msg167504
2012-08-05 00:37:28larrysetmessages: + msg167464
2012-08-03 19:27:28georg.brandlsetmessages: + msg167345
2012-08-03 12:59:06rosslagerwallsetfiles: + oschanges.diff

nosy: + rosslagerwall
messages: + msg167322

keywords: + patch
2012-08-03 12:25:59vstinnercreate